Subject: Re: t3404.6 breaks on master under GIT_FSMONITOR_TEST

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 06 Sep 2018 14:36:09 +0200

On Thu, Feb 01 2018, Ævar Arnfjörð Bjarmason wrote:

> The GIT_FSMONITOR_TEST variable allows you to roundtrip the fsmonitor
> codpath in the whole test suite. On both Debian & CentOS this breaks for
> me:
>
>     (cd t && GIT_FSMONITOR_TEST=$PWD/t7519/fsmonitor-all ./t3404-rebase-interactive.sh -i)
>
> Whereas this works:
>
>     (cd t && GIT_FSMONITOR_TEST=$PWD/t7519/fsmonitor-all GIT_SKIP_TESTS=t3404.6 ./t3404-rebase-interactive.sh -i)
>
> The entirety of the rest of the test suite still passes with
> GIT_FSMONITOR_TEST.
>
> This has been failing ever since GIT_FSMONITOR_TEST was introduced in
> 883e248b8a ("fsmonitor: teach git to optionally utilize a file system
> monitor to speed up detecting new or changed files.", 2017-09-22). Under
> -v -x -i:
>
>     + echo test_must_fail: command succeeded: env FAKE_LINES=exec_echo_foo_>file1 1 git rebase -i HEAD^
>     test_must_fail: command succeeded: env FAKE_LINES=exec_echo_foo_>file1 1 git rebase -i HEAD^
>     + return 1
>     error: last command exited with $?=1
>     not ok 6 - rebase -i with the exec command checks tree cleanness
>     #
>     #               git checkout master &&
>     #               set_fake_editor &&
>     #               test_must_fail env FAKE_LINES="exec_echo_foo_>file1 1" git rebase -i HEAD^ &&
>
> Maybe once this is fixed running the test suite under GIT_FSMONITOR_TEST
> would be a useful Travis target, but I don't know the current status of
> adding new options to Travis.

*Poke* at this again. Ben, or anyone else with knowledge of fsmonitor:
Can you reproduce this?

This failure along with the one I noted in
https://public-inbox.org/git/[email-masked]/ is
failing the tests on Linux when run with GIT_FSMONITOR_TEST.

I'm looking at this again because SZEDER's patches to the split index
reminded me again that we have these long-standing failures in rare test
modes (see
https://public-inbox.org/git/[email-masked]/ for the
split index discussion).